using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace MaxiBioWindowsApplication
{
    public partial class BiografForm : Form
    {
        private MaxiBio aktuelMaxiBio;
        private Biograf aktuelBiograf;

        public BiografForm(MaxiBio initMaxiBio, Biograf initBiograf)
        {
            InitializeComponent();

            // opret test objekt
            //this.aktuelMaxiBio = new MaxiBio();
            this.aktuelMaxiBio = initMaxiBio;
            this.aktuelBiograf = initBiograf;
            if (this.aktuelBiograf != null)
            {
                this.txtBiografnavn.Text = this.aktuelBiograf.Biografnavn;
            }
        }

        private void btnOpretBiograf_Click(object sender, EventArgs e)
        {
            string biografnavn = this.txtBiografnavn.Text;
            this.aktuelBiograf = this.aktuelMaxiBio.OpretBiograf(biografnavn);
        }

        private void btnFindBiograf_Click(object sender, EventArgs e)
        {
            string biografnavn = this.txtBiografnavn.Text;
            this.aktuelBiograf = this.aktuelMaxiBio.FindBiograf(biografnavn);
            if (this.aktuelBiograf == null)
            {
                MessageBox.Show("Biograf findes ikke");
            }
        }

        private void btnRetBiograf_Click(object sender, EventArgs e)
        {
            if (this.aktuelBiograf == null)
            {
                MessageBox.Show("Du skal frst finde biograf");
            }
            else
            {
                string biografnavn = this.txtBiografnavn.Text;
                this.aktuelBiograf.Biografnavn = biografnavn;
            }
        }
    }
}