using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace MaxiBioWindowsApplication
{
    public partial class FilmForm : Form
    {
        private MaxiBio aktuelMaxibio;
        private Film aktuelFilm;

        public FilmForm()
        {
            InitializeComponent();

            // opret test objekt
            this.aktuelMaxibio = new MaxiBio();
        }

        private void btnOpretFilm_Click(object sender, EventArgs e)
        {
            string titel = this.txtFilmTitel.Text;
            string genre = this.txtFilmGenre.Text;
            bool thx = this.chkFilmThx.Checked;
            int varighed = int.Parse(this.txtFilmVarighed.Text);
            string skuespillere = this.txtFilmSkuespillere.Text;
            string resume = this.txtFilmResume.Text;
            this.aktuelFilm = this.aktuelMaxibio.OpretFilm(titel, genre, skuespillere, resume, varighed, thx);
        }

        private void btnFindFilm_Click(object sender, EventArgs e)
        {
            string titel = this.txtFilmTitel.Text;
            this.aktuelFilm = this.aktuelMaxibio.FindFilm(titel);
            if (this.aktuelFilm == null)
                MessageBox.Show("Film findes ikke");
        }

        private void btnRetFilm_Click(object sender, EventArgs e)
        {
            if (this.aktuelFilm == null)
            {
                MessageBox.Show("Du skal frst finde en film");
            }
            else
            {
                string titel = this.txtFilmTitel.Text;
                string genre = this.txtFilmGenre.Text;
                bool thx = this.chkFilmThx.Checked;
                int varighed = int.Parse(this.txtFilmVarighed.Text);
                string skuespillere = this.txtFilmSkuespillere.Text;
                string resume = this.txtFilmResume.Text;
                this.aktuelFilm.Titel = titel;
                this.aktuelFilm.Genre = genre;
                this.aktuelFilm.Thx = thx;
                this.aktuelFilm.Varighed = varighed;
                this.aktuelFilm.Skuespillere = skuespillere;
                this.aktuelFilm.Resume = resume;
            }

        }
    }
}